Permalink
Browse files

ActionDispatch should require as little of ActiveSupport as possible

  • Loading branch information...
1 parent 7aabaac commit bb153f42e45160c5ef3593c393db5d3c6857fb70 Carl Lerche committed Dec 30, 2009
Showing with 1 addition and 3 deletions.
  1. +1 −3 actionpack/lib/action_dispatch.rb
@@ -21,9 +21,7 @@
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#++
-activesupport_path = File.expand_path('../../../activesupport/lib', __FILE__)
-$:.unshift(activesupport_path) if File.directory?(activesupport_path) && !$:.include?(activesupport_path)
-require 'active_support/ruby/shim'
+require 'active_support'
require 'active_support/dependencies/autoload'
require 'rack'

0 comments on commit bb153f4

Please sign in to comment.